> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.jp/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a group of line items

> Update a group of existing line items. Up to 100 line items can be updated in a single request. The request body will be an array, with each element containing the ID of the line item to update and a list of properties to update for that line item. See the examples for details.

export const ScopesList = ({scopes = [], description = "この API には、次のいずれかのスコープが必要です。"}) => {
  if (!scopes || scopes.length === 0) {
    return null;
  }
  const sortedScopes = scopes.sort((a, b) => a.localeCompare(b));
  return <div>
      <div className="text-sm mb-2">{description}</div>
      <div>
        {sortedScopes.map((scope, index) => <div key={index}>
            <code>
              <span className="text-xs">{scope}</span>
            </code>
          </div>)}
      </div>
    </div>;
};

<Accordion title="Scope requirements">
  <ScopesList scopes={['e-commerce']} />
</Accordion>


## OpenAPI

````yaml specs/legacy/v1/crm-line-items-v1.json POST /crm-objects/v1/objects/line_items/batch-create
openapi: 3.0.0
info:
  title: CRM Line Items API v1
  version: 1.0.0
  description: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-introduction: >-
    Use the line items API to add instances of products to deals and quotes. You
    can create line items from existing products or create them as custom line
    items with no product attached.
  x-hubspot-api-use-case: >-
    When creating a set of quotes for sales reps to send to potential buyers,
    use this API to add goods and services to the quotes.
servers:
  - url: https://api.hubapi.com
    description: HubSpot API Server
security: []
paths:
  /crm-objects/v1/objects/line_items/batch-create:
    post:
      summary: Update a group of line items
      description: >-
        Update a group of existing line items. Up to 100 line items can be
        updated in a single request. The request body will be an array, with
        each element containing the ID of the line item to update and a list of
        properties to update for that line item. See the examples for details.
      operationId: postcrmobjectsv1objectslineitemsbatchcreate
      responses:
        '200':
          description: Successful response - Update a group of existing line items
          content:
            application/json:
              schema:
                type: object
              examples:
                example1:
                  summary: Update a group of line items - Example 1
                  value:
                    - name: hs_product_id
                      value: '1645342'
                    - name: quantity
                      value: '25'
                    - name: name
                      value: A custom name for the product for this line item.
                    - name: hs_product_id
                      value: '1645187'
                    - name: quantity
                      value: '25'
                    - name: price
                      value: '9.00'
                    - name: name
                      value: Widgets, special discount price
                    - versions:
                        - name: amount
                          value: '687.50'
                          timestamp: 0
                          sourceId: LineItemAmountCalculator
                          source: CALCULATED
                          sourceVid: []
                      value: '687.50'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: LineItemAmountCalculator
                    - versions:
                        - name: quantity
                          value: '25'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '25'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '27.50'
                          timestamp: 1525299376761
                          source: API
                          sourceVid: []
                      value: '27.50'
                      timestamp: 1525299376761
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: A custom name for the product for this line item.
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: A custom name for the product for this line item.
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: createdate
                          value: '0'
                          timestamp: 0
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: A description of this product.
                          timestamp: 1525299376761
                          source: API
                          sourceVid: []
                      value: A description of this product.
                      timestamp: 1525299376761
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1645342'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '1645342'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: recurringbillingfrequency
                          value: quarterly
                          timestamp: 1525299376761
                          source: API
                          sourceVid: []
                      value: quarterly
                      timestamp: 1525299376761
                      source: API
                      sourceId: null
                    - versions:
                        - name: amount
                          value: '-275.00'
                          timestamp: 0
                          sourceId: LineItemAmountCalculator
                          source: CALCULATED
                          sourceVid: []
                      value: '-275.00'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: LineItemAmountCalculator
                    - versions:
                        - name: quantity
                          value: '25'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '25'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_lastmodifieddate
                          value: '0'
                          timestamp: 0
                          source: CALCULATED
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: CALCULATED
                      sourceId: null
                    - versions:
                        - name: price
                          value: '9.00'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '9.00'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: name
                          value: Widgets, special discount price
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: Widgets, special discount price
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: createdate
                          value: '0'
                          timestamp: 0
                          source: API
                          sourceVid: []
                      value: '0'
                      timestamp: 0
                      source: API
                      sourceId: null
                    - versions:
                        - name: discount
                          value: '20'
                          timestamp: 1525292253568
                          source: API
                          sourceVid: []
                      value: '20'
                      timestamp: 1525292253568
                      source: API
                      sourceId: null
                    - versions:
                        - name: description
                          value: A description of yet another product.
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: A description of yet another product.
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
                    - versions:
                        - name: hs_product_id
                          value: '1645187'
                          timestamp: 1525369755209
                          source: API
                          sourceVid: []
                      value: '1645187'
                      timestamp: 1525369755209
                      source: API
                      sourceId: null
                    - versions:
                        - name: recurringbillingfrequency
                          value: annually
                          timestamp: 1525289943771
                          source: API
                          sourceVid: []
                      value: annually
                      timestamp: 1525289943771
                      source: API
                      sourceId: null
      security:
        - oauth2:
            - crm.objects.line_items.write
        - oauth2_legacy: []
        - private_apps:
            - crm.objects.line_items.write
        - private_apps_legacy: []
components: {}

````